<!DOCTYPE html>
<head>
    <title>Doc</title>
</head>
<body>
    <div id="root"></div>
   
        </fieldset>
    </form>
    <script>
        class Film{
            constructor(id,name,author,url,date,price){
                this.id =id;
                this.name = name;
                this.author = author;
                this.url =url;
                this.date = date;
                this.price =price;
            }
                }
        class FilmToString extends Film{
            toString(){
                return `${super.toString()}{
                    id:${this.id},
                    title:${this.name},
                    author:${this.author},
                    date:${this.date},
                    prise:${this.price}
                }`;
            }
        }
        class FilmColection{
            constructor(items =[]){
                this.items =items;
            }
            addcol(object){
            object.forEach(element=>{
              this.add(element);
     })
        }
        getById(id) {
        return this.items.find(film => film.id == id)
    }
          findWith(price){
            return this.items.sort((a, b) => parseFloat(a.price) - parseFloat(b.price));
          }
          
        }
        class FilmColectionHtml extends FilmColection {
    constructor(items) {
        super(items);
        document.addEventListener("delete", event => {
            
            this.mount(this._parent, this._id);
            
        });
    }

    filmToHtml(item){
        if(!item)
        return `<p class ="error">Film with id not found</p>`
        return `   
        <div class="item">
            <h2> ${item.name} </h2>
            <video src="${item.url}">
           
                <p>Сценарист: ${item.author}</p>
                <p>Касові збори${item.price}</p>
                <p>Опубліковано: ${item.date} </p>
                
           
          
        </div>
        <input type="hidden" id="film-id" value="${item.id}">
        `;
    }
    mount(parent, id) {
        this._parent = parent;
        this._id = id;
        parent.innerHTML = this.filmToHtml(this.getById(id));
        
    }

        }
    let film =new Film(1,"Форсаж"," Луї Летер'є","https://www.youtube.com/watch?v=-lCe2NBL5Hc","18 травня 2023 р", "$318 532 410");
    let film2 = new Film(2,"Мати","Нікі Каро","https://www.youtube.com/watch?v=8BFdFeOS3oM","12 травня 2023 р","кількість касових зборів не відома");
    let film3 = new Film(3,"Тетріс","Джон С. Бейрд","https://www.youtube.com/watch?v=loCVDF9Fu4g","15 березня 2023 р","$513,8 млн")
    let films= new FilmColectionHtml([film,film2,film3]);
    films.mount(document.getElementById("root"), 1);
    </script>
</body>
